import { DrawOptions } from "./interface";
import { FeatureCollection } from "geojson";
export declare class DrawController {
  private defaultOptions;
  /**
   * Starts a drawing session.
   * @param featureCollection Features with which the session will be
   * initialized.
   * @param options Drawing session options.
   */
  create(featureCollection: FeatureCollection, options: DrawOptions): Promise<any>;
  private getControlOptions;
}
