import { RestOptions } from "./interface";
export declare class RestController {
  /**
   * Makes a request to a features REST API. It resolves to the server
   * response object.
   * @param feature GeoJSON feature to be sent to the API.
   * @param options Options object.
   */
  create(feature: any, options: RestOptions): Promise<Response>;
}
