import { EventEmitter } from "../../stencil-public-runtime";
export declare class Story {
  el: HTMLGlStoryElement;
  /**
   * Event emitted when the number of steps in the story changes
   */
  glStoryChange: EventEmitter;
  /**
   * What 'step' of the story is currently the active one
   */
  readonly step: number;
  /**
   * The total number of steps in the story
   */
  steps: number;
  componentWillLoad(): void;
  updateSteps(): void;
  render(): any;
}
