import { TableExportOptions } from "./interfaces";
export declare class TableExportController {
  /**
   * Exports the table specified by options
   * @param options
   */
  create(options: TableExportOptions): Promise<void>;
  /**
   * Exports the contents of the table as a Csv file
   * @param table
   * @param features
   * @param columns
   * @param options
   */
  private exportCsv;
  /**
   * Exports the contents of the table as a Pdf file
   * @param table
   * @param features
   * @param columns
   * @param options
   */
  private exportPdf;
  private getFilename;
  private createCsvDoc;
  private getTableRow;
  private createDocDef;
}
