export declare class DownloadFile {
  /**
   * Human-readable name of the file.
   */
  readonly label: string;
  /**
   * Human-readable file size (e.g., 2.5 MB).
   */
  readonly size: string;
  /**
   * URL of the file.
   */
  readonly url: string;
  /**
   * File format (e.g., PDF).
   */
  readonly format: string;
}
