export declare class DrawerToggle {
  private drawer;
  el: HTMLGlDrawerToggleElement;
  /**
   * Icon to display in the button.
   */
  readonly icon: string;
  /**
   * Text to display in the button.
   */
  readonly buttonTitle: string;
  /**
   * Whether the button is enabled
   */
  readonly disabled: boolean;
  componentWillLoad(): Promise<void>;
  private toggleDrawer;
  private clickToggle;
  render(): any;
}
