import { EventEmitter } from "../../stencil-public-runtime";
export declare class Option {
  el: HTMLGlOptionElement;
  /**
   * Emitted when the option is selected or deselected.
   */
  glOptionChanged: EventEmitter;
  /**
   * Thumbnail image URL.
   */
  readonly image: string;
  /**
   * Option label. It is displayed to the user.
   */
  readonly label: string;
  /**
   * Option value. If this option is selected, it is used to set the value
   * of the property corresponding to the parent field.
   */
  readonly value: any;
  private select;
  private callSelect;
  private getRadio;
  private getSelectOption;
  render(): any;
}
